Package de.willuhn.jameica.hbci.rmi

# Interface SepaSammelTransfer<T extends SepaSammelTransferBuchung>

Type Parameters:
  `T` - der konkrete Typ der enthaltenen Buchungen.

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `Duplicatable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `SepaPayment`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`

All Known Subinterfaces:
  `SepaSammelLastschrift`, `SepaSammelUeberweisung`

All Known Implementing Classes:
  `AbstractSepaSammelTransferImpl`, `SepaSammelLastschriftImpl`, `SepaSammelUeberweisungImpl`

public interface SepaSammelTransfer<T extends SepaSammelTransferBuchung> extends HibiscusDBObject, Terminable, Duplicatable, SepaPayment
Interface fuer SEPA-Sammellastschriften und -ueberweisungen.

## Method Summary

Modifier and Type
Method
Description
`T`
`createBuchung()`
Erzeugt eine neue Buchung auf dem Sammeltransfer.
`String`
`getBezeichnung()`
Liefert eine Bezeichnung des Transfers.
`List<T>`
`getBuchungen()`
Liefert eine Liste der Buchungen fuer diesen Transfer.
`Konto`
`getKonto()`
Liefert das Konto, ueber das der Transfer gebucht wird.
`BigDecimal`
`getSumme()`
Liefert die Summe der enthaltenen Buchungen.
`void`
`setBezeichnung(String bezeichnung)`
Speichert die Bezeichnung.
`void`
`setKonto(Konto konto)`
Speichert das Konto, ueber das der Transfer gebucht werden soll.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaPayment

`getPmtInfId, setPmtInfId`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getBuchungen

List<T> getBuchungen() throws RemoteException
Liefert eine Liste der Buchungen fuer diesen Transfer.

Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`

### getSumme

BigDecimal getSumme() throws RemoteException
Liefert die Summe der enthaltenen Buchungen.

Returns:
  Summe der enthaltenen Buchungen.
Throws:
  `RemoteException`

### getKonto

Konto getKonto() throws RemoteException
Liefert das Konto, ueber das der Transfer gebucht wird.

Returns:
  Konto.
Throws:
  `RemoteException`

### setKonto

void setKonto(Konto konto) throws RemoteException
Speichert das Konto, ueber das der Transfer gebucht werden soll.

Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`

### getBezeichnung

String getBezeichnung() throws RemoteException
Liefert eine Bezeichnung des Transfers.

Returns:
  Bezeichnung.
Throws:
  `RemoteException`

### setBezeichnung

void setBezeichnung(String bezeichnung) throws RemoteException
Speichert die Bezeichnung.

Parameters:
  `bezeichnung` -
Throws:
  `RemoteException`

### createBuchung

T createBuchung() throws RemoteException, de.willuhn.util.ApplicationException
Erzeugt eine neue Buchung auf dem Sammeltransfer.

Returns:
  die neu erzeugte Buchung.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`